/******************************************************************************
* SH7262 ӃW[`                                               *
*                                                                             *
*  File name : sh7262.h                                                       *
*  Copyright (c) 2010 MiSPO Co., Ltd.  All rights reserved.                   *
*                                                                             *
* 2010-09-24 Created                                                       SZ *
******************************************************************************/

#ifndef _SH7262_H_
#define _SH7262_H_

#ifdef __cplusplus
extern "C" {
#endif

/* ӃW[̃x[XAhX */

#ifdef CPU_SH   /* SHpNXRpCŃRpCĂꍇ */
#define IO_BASE ((volatile UB *)0x00000000L)
#endif

/* ӃW[o̓}N */

UB sfr_in(UINT n);              /* oCgf[^̓ */
void sfr_out(UINT n, UB c);     /* oCgf[^̏o */
UH sfr_inw(UINT n);             /* [hf[^̓ */
void sfr_outw(UINT n, UH c);    /* [hf[^̏o */
UW sfr_inl(UINT n);             /* O[hf[^̓ */
void sfr_outl(UINT n, UW c);    /* O[hf[^̏o */
void sfr_set(UINT n, UB c);     /* oCgf[^̃rbgZbg */
void sfr_clr(UINT n, UB c);     /* oCgf[^̃rbgNA */
void sfr_setw(UINT n, UH c);    /* [hf[^̃rbgZbg */
void sfr_clrw(UINT n, UH c);    /* [hf[^̃rbgNA */
void sfr_setl(UINT n, UW c);    /* O[hf[^̃rbgZbg */
void sfr_clrl(UINT n, UW c);    /* O[hf[^̃rbgNA */

#ifdef IO_BASE
#define sfr_in(n)       (*(IO_BASE+(n)))
#define sfr_out(n,c)    (*(IO_BASE+(n))=(c))
#define sfr_inw(n)      (*(volatile UH *)(IO_BASE+(n)))
#define sfr_outw(n,c)   (*(volatile UH *)(IO_BASE+(n))=(c))
#define sfr_inl(n)      (*(volatile UW *)(IO_BASE+(n)))
#define sfr_outl(n,c)   (*(volatile UW *)(IO_BASE+(n))=(c))
#define sfr_set(n,c)    (*(IO_BASE+(n))|=(c))
#define sfr_clr(n,c)    (*(IO_BASE+(n))&=~(c))
#define sfr_setw(n,c)   (*(volatile UH *)(IO_BASE+(n))|=(c))
#define sfr_clrw(n,c)   (*(volatile UH *)(IO_BASE+(n))&=~(c))
#define sfr_setl(n,c)   (*(volatile UW *)(IO_BASE+(n))|=(c))
#define sfr_clrl(n,c)   (*(volatile UW *)(IO_BASE+(n))&=~(c))
#endif



/* NbNpXU(CPG) */

#define CPG_FRQCR         0xFFFE0010 /* g */


/* 荞݃Rg[(INTC) */

#define INTC_ICR0          0xFFFE0800 /* 荞݃Rg[0 */
#define INTC_ICR1          0xFFFE0802 /* 荞݃Rg[1 */
#define INTC_ICR2          0xFFFE0804 /* 荞݃Rg[2 */
#define INTC_IRQRR         0xFFFE0806 /* IRQ 荞ݗv */
#define INTC_PINTER        0xFFFE0808 /* PINT 荞݃Cl[u */
#define INTC_PIRR          0xFFFE080A /* PINT 荞ݗv */
#define INTC_IBCR          0xFFFE080C /* oNRg[ */
#define INTC_IBNR          0xFFFE080E /* oNԍ */
#define INTC_IPR01         0xFFFE0818 /* 荞ݗD惌xݒ01 */
#define INTC_IPR02         0xFFFE081A /* 荞ݗD惌xݒ02 */
#define INTC_IPR05         0xFFFE0820 /* 荞ݗD惌xݒ05 */
#define INTC_IPR06         0xFFFE0C00 /* 荞ݗD惌xݒ06 */
#define INTC_IPR07         0xFFFE0C02 /* 荞ݗD惌xݒ07 */
#define INTC_IPR08         0xFFFE0C04 /* 荞ݗD惌xݒ08 */
#define INTC_IPR09         0xFFFE0C06 /* 荞ݗD惌xݒ09 */
#define INTC_IPR10         0xFFFE0C08 /* 荞ݗD惌xݒ10 */
#define INTC_IPR11         0xFFFE0C0A /* 荞ݗD惌xݒ11 */
#define INTC_IPR12         0xFFFE0C0C /* 荞ݗD惌xݒ12 */
#define INTC_IPR13         0xFFFE0C0E /* 荞ݗD惌xݒ13 */
#define INTC_IPR14         0xFFFE0C10 /* 荞ݗD惌xݒ14 */
#define INTC_IPR15         0xFFFE0C12 /* 荞ݗD惌xݒ15 */
#define INTC_IPR16         0xFFFE0C14 /* 荞ݗD惌xݒ16 */
#define INTC_IPR17         0xFFFE0C16 /* 荞ݗD惌xݒ17 */
#define INTC_IPR18         0xFFFE0C18 /* 荞ݗD惌xݒ18 */
#define INTC_IPR19         0xFFFE0C1A /* 荞ݗD惌xݒ19 */
#define INTC_IPR20         0xFFFE0C1C /* 荞ݗD惌xݒ20 */
#define INTC_IPR21         0xFFFE0C1E /* 荞ݗD惌xݒ21 */
#define INTC_IPR22         0xFFFE0C20 /* 荞ݗD惌xݒ22 */


/* LbV */
#define SYS_CCR1           0xFFFC1000 /* LbV1 */
#define SYS_CCR2           0xFFFC1004 /* LbV2 */


/* oXXe[gRg[(BSC) */

#define BSC_CMNCR          0xFFFC0000 /* ʃRg[ */
#define BSC_CS0BCR         0xFFFC0004 /* CS0 ԃoXRg[ */
#define BSC_CS1BCR         0xFFFC0008 /* CS1 ԃoXRg[ */
#define BSC_CS2BCR         0xFFFC000C /* CS2 ԃoXRg[ */
#define BSC_CS3BCR         0xFFFC0010 /* CS3 ԃoXRg[ */
#define BSC_CS4BCR         0xFFFC0014 /* CS4 ԃoXRg[ */
#define BSC_CS5BCR         0xFFFC0018 /* CS5 ԃoXRg[ */
#define BSC_CS6BCR         0xFFFC001C /* CS6 ԃoXRg[ */
#define BSC_CS0WCR         0xFFFC0028 /* CS0 ԃEFCgRg[ */
#define BSC_CS1WCR         0xFFFC002C /* CS1 ԃEFCgRg[ */
#define BSC_CS2WCR         0xFFFC0030 /* CS2 ԃEFCgRg[ */
#define BSC_CS3WCR         0xFFFC0034 /* CS3 ԃEFCgRg[ */
#define BSC_CS4WCR         0xFFFC0038 /* CS4 ԃEFCgRg[ */
#define BSC_CS5WCR         0xFFFC003C /* CS5 ԃEFCgRg[ */
#define BSC_CS6WCR         0xFFFC0040 /* CS6 ԃEFCgRg[ */
#define BSC_SDCR           0xFFFC004C /* SDRAM Rg[ */
#define BSC_RTCSR          0xFFFC0050 /* tbV^C}Rg|/ Xe[^X */
#define BSC_RTCNT          0xFFFC0054 /* tbV^C}JE^ */
#define BSC_ACSWR          0xFFFC180C /* AC؂ւ */
#define BSC_ACKEYR         0xFFFC1BFC /* AC؂ւL[ */


/* _CNgANZXRg[(DMAC) */

#define DMAC_SAR0          0xFFFE1000 /* DMA \[XAhX0 */
#define DMAC_DAR0          0xFFFE1004 /* DMA fXeBl[VAhX0 */
#define DMAC_DMATCR0       0xFFFE1008 /* DMA gXt@JEg0 */
#define DMAC_CHCR0         0xFFFE100C /* DMA `lRg[0 */
#define DMAC_RSAR0         0xFFFE1100 /* DMA [h\[XAhX0 */
#define DMAC_RDAR0         0xFFFE1104 /* DMA [hfXeBl[V AhX0 */
#define DMAC_RDMATCR0      0xFFFE1108 /* DMA [hgXt@JEg0 */
#define DMAC_SAR1          0xFFFE1010 /* DMA \[XAhX1 */
#define DMAC_DAR1          0xFFFE1014 /* DMA fXeBl[VAhX1 */
#define DMAC_DMATCR1       0xFFFE1018 /* DMA gXt@JEg1 */
#define DMAC_CHCR1         0xFFFE101C /* DMA `lRg[1 */
#define DMAC_RSAR1         0xFFFE1110 /* DMA [h\[XAhX1 */
#define DMAC_RDAR1         0xFFFE1114 /* DMA [hfXeBl[V AhX1 */
#define DMAC_RDMATCR1      0xFFFE1118 /* DMA [hgXt@JEg1 */
#define DMAC_SAR2          0xFFFE1020 /* DMA \[XAhX2 */
#define DMAC_DAR2          0xFFFE1024 /* DMA fXeBl[VAhX2 */
#define DMAC_DMATCR2       0xFFFE1028 /* DMA gXt@JEg2 */
#define DMAC_CHCR2         0xFFFE102C /* DMA `lRg[2 */
#define DMAC_RSAR2         0xFFFE1120 /* DMA [h\[XAhX2 */
#define DMAC_RDAR2         0xFFFE1124 /* DMA [hfXeBl[V AhX2 */
#define DMAC_RDMATCR2      0xFFFE1128 /* DMA [hgXt@JEg2 */
#define DMAC_SAR3          0xFFFE1030 /* DMA \[XAhX3 */
#define DMAC_DAR3          0xFFFE1034 /* DMA fXeBl[VAhX3 */
#define DMAC_DMATCR3       0xFFFE1038 /* DMA gXt@JEg3 */
#define DMAC_CHCR3         0xFFFE103C /* DMA `lRg[3 */
#define DMAC_RSAR3         0xFFFE1130 /* DMA [h\[XAhX3 */
#define DMAC_RDAR3         0xFFFE1134 /* DMA [hfXeBl[V AhX3 */
#define DMAC_RDMATCR3      0xFFFE1138 /* DMA [hgXt@JEg3 */
#define DMAC_SAR4          0xFFFE1040 /* DMA \[XAhX4 */
#define DMAC_DAR4          0xFFFE1044 /* DMA fXeBl[VAhX4 */
#define DMAC_DMATCR4       0xFFFE1048 /* DMA gXt@JEg4 */
#define DMAC_CHCR4         0xFFFE104C /* DMA `lRg[4 */
#define DMAC_RSAR4         0xFFFE1140 /* DMA [h\[XAhX4 */
#define DMAC_RDAR4         0xFFFE1144 /* DMA [hfXeBl[V AhX4 */
#define DMAC_RDMATCR4      0xFFFE1148 /* DMA [hgXt@JEg4 */
#define DMAC_SAR5          0xFFFE1050 /* DMA \[XAhX5 */
#define DMAC_DAR5          0xFFFE1054 /* DMA fXeBl[VAhX5 */
#define DMAC_DMATCR5       0xFFFE1058 /* DMA gXt@JEg5 */
#define DMAC_CHCR5         0xFFFE105C /* DMA `lRg[5 */
#define DMAC_RSAR5         0xFFFE1150 /* DMA [h\[XAhX5 */
#define DMAC_RDAR5         0xFFFE1154 /* DMA [hfXeBl[V AhX5 */
#define DMAC_RDMATCR5      0xFFFE1158 /* DMA [hgXt@JEg5 */
#define DMAC_SAR6          0xFFFE1060 /* DMA \[XAhX6 */
#define DMAC_DAR6          0xFFFE1064 /* DMA fXeBl[VAhX6 */
#define DMAC_DMATCR6       0xFFFE1068 /* DMA gXt@JEg6 */
#define DMAC_CHCR6         0xFFFE106C /* DMA `lRg[6 */
#define DMAC_RSAR6         0xFFFE1160 /* DMA [h\[XAhX6 */
#define DMAC_RDAR6         0xFFFE1164 /* DMA [hfXeBl[V AhX6 */
#define DMAC_RDMATCR6      0xFFFE1168 /* DMA [hgXt@JEg6 */
#define DMAC_SAR7          0xFFFE1070 /* DMA \[XAhX7 */
#define DMAC_DAR7          0xFFFE1074 /* DMA fXeBl[VAhX7 */
#define DMAC_DMATCR7       0xFFFE1078 /* DMA gXt@JEg7 */
#define DMAC_CHCR7         0xFFFE107C /* DMA `lRg[7 */
#define DMAC_RSAR7         0xFFFE1170 /* DMA [h\[XAhX7 */
#define DMAC_RDAR7         0xFFFE1174 /* DMA [hfXeBl[V AhX7 */
#define DMAC_RDMATCR7      0xFFFE1178 /* DMA [hgXt@JEg7 */
#define DMAC_SAR8          0xFFFE1080 /* DMA \[XAhX8 */
#define DMAC_DAR8          0xFFFE1084 /* DMA fXeBl[VAhX8 */
#define DMAC_DMATCR8       0xFFFE1088 /* DMA gXt@JEg8 */
#define DMAC_RSAR8         0xFFFE1180 /* DMA [h\[XAhX8 */
#define DMAC_RDAR8         0xFFFE1184 /* DMA [hfXeBl[V AhX8 */
#define DMAC_RDMATCR8      0xFFFE1188 /* DMA [hgXt@JEg8 */
#define DMAC_CHCR8         0xFFFE108C /* DMA `lRg[8 */
#define DMAC_SAR9          0xFFFE1090 /* DMA \[XAhX9 */
#define DMAC_DAR9          0xFFFE1094 /* DMA fXeBl[VAhX9 */
#define DMAC_DMATCR9       0xFFFE1098 /* DMA gXt@JEg9 */
#define DMAC_CHCR9         0xFFFE109C /* DMA `lRg[9 */
#define DMAC_RSAR9         0xFFFE1190 /* DMA [h\[XAhX9 */
#define DMAC_RDAR9         0xFFFE1194 /* DMA [hfXeBl[V AhX9 */
#define DMAC_RDMATCR9      0xFFFE1198 /* DMA [hgXt@JEg9 */
#define DMAC_SAR10         0xFFFE10A0 /* DMA \[XAhX10 */
#define DMAC_DAR10         0xFFFE10A4 /* DMA fXeBl[VAhX10 */
#define DMAC_DMATCR10      0xFFFE10A8 /* DMA gXt@JEg10 */
#define DMAC_CHCR10        0xFFFE10AC /* DMA `lRg[10 */
#define DMAC_RSAR10        0xFFFE11A0 /* DMA [h\[XAhX10 */
#define DMAC_RDAR10        0xFFFE11A4 /* DMA [hfXeBl[V AhX10 */
#define DMAC_RDMATCR10     0xFFFE11A8 /* DMA [hgXt@JEg10 */
#define DMAC_SAR11         0xFFFE10B0 /* DMA \[XAhX11 */
#define DMAC_DAR11         0xFFFE10B4 /* DMA fXeBl[VAhX11 */
#define DMAC_DMATCR11      0xFFFE10B8 /* DMA gXt@JEg11 */
#define DMAC_CHCR11        0xFFFE10BC /* DMA `lRg[11 */
#define DMAC_RSAR11        0xFFFE11B0 /* DMA [h\[XAhX11 */
#define DMAC_RDAR11        0xFFFE11B4 /* DMA [hfXeBl[V AhX11 */
#define DMAC_RDMATCR11     0xFFFE11B8 /* DMA [hgXt@JEg11 */
#define DMAC_SAR12         0xFFFE10C0 /* DMA \[XAhX12 */
#define DMAC_DAR12         0xFFFE10C4 /* DMA fXeBl[VAhX12 */
#define DMAC_DMATCR12      0xFFFE10C8 /* DMA gXt@JEg12 */
#define DMAC_CHCR12        0xFFFE10CC /* DMA `lRg[12 */
#define DMAC_RSAR12        0xFFFE11C0 /* DMA [h\[XAhX12 */
#define DMAC_RDAR12        0xFFFE11C4 /* DMA [hfXeBl[V AhX12 */
#define DMAC_RDMATCR12     0xFFFE11C8 /* DMA [hgXt@JEg12 */
#define DMAC_SAR13         0xFFFE10D0 /* DMA \[XAhX13 */
#define DMAC_DAR13         0xFFFE10D4 /* DMA fXeBl[VAhX13 */
#define DMAC_DMATCR13      0xFFFE10D8 /* DMA gXt@JEg13 */
#define DMAC_CHCR13        0xFFFE10DC /* DMA `lRg[13 */
#define DMAC_RSAR13        0xFFFE11D0 /* DMA [h\[XAhX13 */
#define DMAC_RDAR13        0xFFFE11D4 /* DMA [hfXeBl[V AhX13 */
#define DMAC_RDMATCR13     0xFFFE11D8 /* DMA [hgXt@JEg13 */
#define DMAC_SAR14         0xFFFE10E0 /* DMA \[XAhX14 */
#define DMAC_DAR14         0xFFFE10E4 /* DMA fXeBl[VAhX14 */
#define DMAC_DMATCR14      0xFFFE10E8 /* DMA gXt@JEg14 */
#define DMAC_CHCR14        0xFFFE10EC /* DMA `lRg[14 */
#define DMAC_RSAR14        0xFFFE11E0 /* DMA [h\[XAhX14 */
#define DMAC_RDAR14        0xFFFE11E4 /* DMA [hfXeBl[V AhX14 */
#define DMAC_RDMATCR14     0xFFFE11E8 /* DMA [hgXt@JEg14 */
#define DMAC_SAR15         0xFFFE10F0 /* DMA \[XAhX15 */
#define DMAC_DAR15         0xFFFE10F4 /* DMA fXeBl[VAhX15 */
#define DMAC_DMATCR15      0xFFFE10F8 /* DMA gXt@JEg15 */
#define DMAC_CHCR15        0xFFFE10FC /* DMA `lRg[15 */
#define DMAC_RSAR15        0xFFFE11F0 /* DMA [h\[XAhX15 */
#define DMAC_RDAR15        0xFFFE11F4 /* DMA [hfXeBl[V AhX15 */
#define DMAC_RDMATCR15     0xFFFE11F8 /* DMA [hgXt@JEg15 */
#define DMAC_DMAOR         0xFFFE1200 /* DMA Iy[V */
#define DMAC_DMARS0        0xFFFE1300 /* DMA g\[XZN^0 */
#define DMAC_DMARS1        0xFFFE1304 /* DMA g\[XZN^1 */
#define DMAC_DMARS2        0xFFFE1308 /* DMA g\[XZN^2 */
#define DMAC_DMARS3        0xFFFE130C /* DMA g\[XZN^3 */
#define DMAC_DMARS4        0xFFFE1319 /* DMA g\[XZN^4 */
#define DMAC_DMARS5        0xFFFE1314 /* DMA g\[XZN^5 */
#define DMAC_DMARS6        0xFFFE1318 /* DMA g\[XZN^6 */
#define DMAC_DMARS7        0xFFFE131C /* DMA g\[XZN^7 */


/* }`t@NV^C}pXjbg2(MTU2) */

#define MTU2_TCR0          0xFFFE4300 /* ^C}Rg[0 */
#define MTU2_TMDR0         0xFFFE4301 /* ^C}[h0 */
#define MTU2_TIORH0        0xFFFE4302 /* ^C}I/O Rg[H0 */
#define MTU2_TIORL0        0xFFFE4303 /* ^C}I/O Rg[L0 */
#define MTU2_TIER0         0xFFFE4304 /* ^C}C^vgCl[u0 */
#define MTU2_TSR0          0xFFFE4305 /* ^C}Xe[^X0 */
#define MTU2_TCNT0         0xFFFE4306 /* ^C}JE^0 */
#define MTU2_TGRA0         0xFFFE4308 /* ^C}WFlA0 */
#define MTU2_TGRB0         0xFFFE430A /* ^C}WFlB0 */
#define MTU2_TGRC0         0xFFFE430C /* ^C}WFlC0 */
#define MTU2_TGRD0         0xFFFE430E /* ^C}WFlD0 */
#define MTU2_TGRE0         0xFFFE4320 /* ^C}WFlE0 */
#define MTU2_TGRF0         0xFFFE4322 /* ^C}WFlF0 */
#define MTU2_TIER20        0xFFFE4324 /* ^C}C^vgCl[u20 */
#define MTU2_TSR20         0xFFFE4325 /* ^C}Xe[^X20 */
#define MTU2_TBTM0         0xFFFE4326 /* ^C}obt@][h0 */
#define MTU2_TCR1          0xFFFE4380 /* ^C}Rg[1 */
#define MTU2_TMDR1         0xFFFE4381 /* ^C}[h1 */
#define MTU2_TIOR1         0xFFFE4382 /* ^C}I/O Rg[1 */
#define MTU2_TIER1         0xFFFE4384 /* ^C}C^vgCl[u1 */
#define MTU2_TSR1          0xFFFE4385 /* ^C}Xe[^X1 */
#define MTU2_TCNT1         0xFFFE4386 /* ^C}JE^1 */
#define MTU2_TGRA1         0xFFFE4388 /* ^C}WFlA1 */
#define MTU2_TGRB1         0xFFFE438A /* ^C}WFlB1 */
#define MTU2_TICCR         0xFFFE4390 /* ^C}CvbgLv` Rg[ */
#define MTU2_TCR2          0xFFFE4000 /* ^C}Rg[2 */
#define MTU2_TMDR2         0xFFFE4001 /* ^C}[h2 */
#define MTU2_TIOR2         0xFFFE4002 /* ^C}I/O Rg[2 */
#define MTU2_TIER2         0xFFFE4004 /* ^C}C^vgCl[u2 */
#define MTU2_TSR2          0xFFFE4005 /* ^C}Xe[^X2 */
#define MTU2_TCNT2         0xFFFE4006 /* ^C}JE^2 */
#define MTU2_TGRA2         0xFFFE4008 /* ^C}WFlA2 */
#define MTU2_TGRB2         0xFFFE400A /* ^C}WFlB2 */
#define MTU2_TCR3          0xFFFE4200 /* ^C}Rg[3 */
#define MTU2_TMDR3         0xFFFE4202 /* ^C}[h3 */
#define MTU2_TIORH3        0xFFFE4204 /* ^C}I/O Rg[H3 */
#define MTU2_TIORL3        0xFFFE4205 /* ^C}I/O Rg[L3 */
#define MTU2_TIER3         0xFFFE4208 /* ^C}C^vgCl[u3 */
#define MTU2_TSR3          0xFFFE422C /* ^C}Xe[^X3 */
#define MTU2_TCNT3         0xFFFE4210 /* ^C}JE^3 */
#define MTU2_TGRA3         0xFFFE4218 /* ^C}WFlA3 */
#define MTU2_TGRB3         0xFFFE421A /* ^C}WFlB3 */
#define MTU2_TGRC3         0xFFFE4224 /* ^C}WFlC3 */
#define MTU2_TGRD3         0xFFFE4226 /* ^C}WFlD3 */
#define MTU2_TBTM3         0xFFFE4238 /* ^C}obt@][h3 */
#define MTU2_TCR4          0xFFFE4201 /* ^C}Rg[4 */
#define MTU2_TMDR4         0xFFFE4203 /* ^C}[h4 */
#define MTU2_TIORH4        0xFFFE4206 /* ^C}I/O Rg[H4 */
#define MTU2_TIORL4        0xFFFE4207 /* ^C}I/O Rg[L4 */
#define MTU2_TIER4         0xFFFE4209 /* ^C}C^vgCl[u4 */
#define MTU2_TSR4          0xFFFE422D /* ^C}Xe[^X4 */
#define MTU2_TCNT4         0xFFFE4212 /* ^C}JE^4 */
#define MTU2_TGRA4         0xFFFE421C /* ^C}WFlA4 */
#define MTU2_TGRB4         0xFFFE421E /* ^C}WFlB4 */
#define MTU2_TGRC4         0xFFFE4228 /* ^C}WFlC4 */
#define MTU2_TGRD4         0xFFFE422A /* ^C}WFlD4 */
#define MTU2_TBTM4         0xFFFE4239 /* ^C}obt@][h4 */
#define MTU2_TADCR         0xFFFE4240 /* ^C}A/D ϊJnvRg[ */
#define MTU2_TADCORA4      0xFFFE4244 /* ^C}A/D ϊJnvݒA4 */
#define MTU2_TADCORB4      0xFFFE4246 /* ^C}A/D ϊJnvݒB4 */
#define MTU2_TADCOBRA4     0xFFFE4248 /* ^C}A/D ϊJnvݒ obt@A4 */
#define MTU2_TADCOBRB4     0xFFFE424A /* ^C}A/D ϊJnvݒ obt@B4 */
#define MTU2_TSTR          0xFFFE4280 /* ^C}X^[g */
#define MTU2_TSYR          0xFFFE4281 /* ^C}VN */
#define MTU2_TRWER         0xFFFE4284 /* ^C}[hCgCl[u */
#define MTU2_TOER          0xFFFE420A /* ^C}AEgvbg}X^Cl[u */
#define MTU2_TOCR1         0xFFFE420E /* ^C}AEgvbgRg[1 */
#define MTU2_TOCR2         0xFFFE420F /* ^C}AEgvbgRg[2 */
#define MTU2_TGCR          0xFFFE420D /* ^C}Q[gRg[ */
#define MTU2_TCDR          0xFFFE4214 /* ^C}f[^ */
#define MTU2_TDDR          0xFFFE4216 /* ^C}fbh^Cf[^ */
#define MTU2_TCNTS         0xFFFE4220 /* ^C}TuJE^ */
#define MTU2_TCBR          0xFFFE4222 /* ^C}obt@ */
#define MTU2_TITCR         0xFFFE4230 /* ^C}荞݊Ԉݒ */
#define MTU2_TITCNT        0xFFFE4231 /* ^C}荞݊Ԉ񐔃JE^ */
#define MTU2_TBTER         0xFFFE4232 /* ^C}obt@]ݒ */
#define MTU2_TDER          0xFFFE4234 /* ^C}fbh^CCl[u */
#define MTU2_TWCR          0xFFFE4260 /* ^C}g`Rg[ */
#define MTU2_TOLBR         0xFFFE4236 /* ^C}AEgvbgxobt@ */


/* RyA}b`^C}(CMT) */

#define CMT_CMSTR          0xFFFEC000 /* RyA}b`^C}X^[g */
#define CMT_CMCSR0         0xFFFEC002 /* RyA}b`^C}Rg[/Xe[^X0 */
#define CMT_CMCNT0         0xFFFEC004 /* RyA}b`JE^0 */
#define CMT_CMCOR0         0xFFFEC006 /* RyA}b`RX^g0 */
#define CMT_CMCSR1         0xFFFEC008 /* RyA}b`^C}Rg[/Xe[^X1 */
#define CMT_CMCNT1         0xFFFEC00A /* RyA}b`JE^1 */
#define CMT_CMCOR1         0xFFFEC00C /* RyA}b`RX^g1 */


/* EHb`hbO^C}(WDT) */

#define WDT_WTCSR          0xFFFE0000 /* EHb`hbO^C}Rg[/Xe[^X */
#define WDT_WTCNT          0xFFFE0002 /* EHb`hbO^C}JE^ */
#define WDT_WRCSR          0xFFFE0004 /* EHb`hbOZbgRg[/Xe[^X */


/* A^CNbN */

#define RTC_R64CNT         0xFFFE6000 /* 64Hz JE^ */
#define RTC_RSECCNT        0xFFFE6002 /* bJE^ */
#define RTC_RMINCNT        0xFFFE6004 /* JE^ */
#define RTC_RHRCNT         0xFFFE6006 /* JE^ */
#define RTC_RWKCNT         0xFFFE6008 /* jJE^ */
#define RTC_RDAYCNT        0xFFFE600A /* JE^ */
#define RTC_RMONCNT        0xFFFE600C /* JE^ */
#define RTC_RYRCNT         0xFFFE600E /* NJE^ */
#define RTC_RSECAR         0xFFFE6010 /* bA[ */
#define RTC_RMINAR         0xFFFE6012 /* A[ */
#define RTC_RHRAR          0xFFFE6014 /* A[ */
#define RTC_RWKAR          0xFFFE6016 /* jA[ */
#define RTC_RDAYAR         0xFFFE6018 /* A[ */
#define RTC_RMONAR         0xFFFE601A /* A[ */
#define RTC_RYRAR          0xFFFE6020 /* NA[ */
#define RTC_RCR1           0xFFFE601C /* RTC Rg[1 */
#define RTC_RCR2           0xFFFE601E /* RTC Rg[2 */
#define RTC_RCR3           0xFFFE6024 /* RTC Rg[3 */
#define RTC_RCR5           0xFFFE6026 /* RTC Rg[5 */
#define RTC_RFRH           0xFFFE602A /* gWX^H */
#define RTC_RFRL           0xFFFE602C /* gWX^L */


/* FIFO VAR~jP[VC^tF[X(SCIF) */

#define SCIF_SCSMR0        0xFFFE8000 /* VA[h0 */
#define SCIF_SCBRR0        0xFFFE8004 /* rbg[g0 */
#define SCIF_SCSCR0        0xFFFE8008 /* VARg[0 */
#define SCIF_SCFTDR0       0xFFFE800C /* gX~bgFIFO f[^0 */
#define SCIF_SCFSR0        0xFFFE8010 /* VAXe[^X0 */
#define SCIF_SCFRDR0       0xFFFE8014 /* V[uFIFO f[^0 */
#define SCIF_SCFCR0        0xFFFE8018 /* FIFO Rg[0 */
#define SCIF_SCFDR0        0xFFFE801C /* FIFO f[^JEgZbg0 */
#define SCIF_SCSPTR0       0xFFFE8020 /* VA|[g0 */
#define SCIF_SCLSR0        0xFFFE8024 /* CXe[^X0 */
#define SCIF_SCSEMR0       0xFFFE8028 /* VAg[h0 */
#define SCIF_SCSMR1        0xFFFE8800 /* VA[h1 */
#define SCIF_SCBRR1        0xFFFE8804 /* rbg[g1 */
#define SCIF_SCSCR1        0xFFFE8808 /* VARg[1 */
#define SCIF_SCFTDR1       0xFFFE880C /* gX~bgFIFO f[^1 */
#define SCIF_SCFSR1        0xFFFE8810 /* VAXe[^X1 */
#define SCIF_SCFRDR1       0xFFFE8814 /* V[uFIFO f[^1 */
#define SCIF_SCFCR1        0xFFFE8818 /* FIFO Rg[1 */
#define SCIF_SCFDR1        0xFFFE881C /* FIFO f[^JEgZbg1 */
#define SCIF_SCSPTR1       0xFFFE8820 /* VA|[g1 */
#define SCIF_SCLSR1        0xFFFE8824 /* CXe[^X1 */
#define SCIF_SCSEMR1       0xFFFE8828 /* VAg[h1 */
#define SCIF_SCSMR2        0xFFFE9000 /* VA[h2 */
#define SCIF_SCBRR2        0xFFFE9004 /* rbg[g2 */
#define SCIF_SCSCR2        0xFFFE9008 /* VARg[2 */
#define SCIF_SCFTDR2       0xFFFE900C /* gX~bgFIFO f[^2 */
#define SCIF_SCFSR2        0xFFFE9010 /* VAXe[^X2 */
#define SCIF_SCFRDR2       0xFFFE9014 /* V[uFIFO f[^2 */
#define SCIF_SCFCR2        0xFFFE9018 /* FIFO Rg[2 */
#define SCIF_SCFDR2        0xFFFE901C /* FIFO f[^JEgZbg2 */
#define SCIF_SCSPTR2       0xFFFE9020 /* VA|[g2 */
#define SCIF_SCLSR2        0xFFFE9024 /* CXe[^X2 */
#define SCIF_SCSEMR2       0xFFFE9028 /* VAg[h2 */
#define SCIF_SCSMR3        0xFFFE9800 /* VA[h3 */
#define SCIF_SCBRR3        0xFFFE9804 /* rbg[g3 */
#define SCIF_SCSCR3        0xFFFE9808 /* VARg[3 */
#define SCIF_SCFTDR3       0xFFFE980C /* gX~bgFIFO f[^3 */
#define SCIF_SCFSR3        0xFFFE9810 /* VAXe[^X3 */
#define SCIF_SCFRDR3       0xFFFE9814 /* V[uFIFO f[^3 */
#define SCIF_SCFCR3        0xFFFE9818 /* FIFO Rg[3 */
#define SCIF_SCFDR3        0xFFFE981C /* FIFO f[^JEgZbg3 */
#define SCIF_SCSPTR3       0xFFFE9820 /* VA|[g3 */
#define SCIF_SCLSR3        0xFFFE9824 /* CXe[^X3 */
#define SCIF_SCSEMR3       0xFFFE9828 /* VAg[h3 */
#define SCIF_SCSMR4        0xFFFEA000 /* VA[h4 */
#define SCIF_SCBRR4        0xFFFEA004 /* rbg[g4 */
#define SCIF_SCSCR4        0xFFFEA008 /* VARg[4 */
#define SCIF_SCFTDR4       0xFFFEA00C /* gX~bgFIFO f[^4 */
#define SCIF_SCFSR4        0xFFFEA010 /* VAXe[^X4 */
#define SCIF_SCFRDR4       0xFFFEA014 /* V[uFIFO f[^4 */
#define SCIF_SCFCR4        0xFFFEA018 /* FIFO Rg[4 */
#define SCIF_SCFDR4        0xFFFEA01C /* FIFO f[^JEgZbg4 */
#define SCIF_SCSPTR4       0xFFFEA020 /* VA|[g4 */
#define SCIF_SCLSR4        0xFFFEA024 /* CXe[^X4 */
#define SCIF_SCSEMR4       0xFFFEA028 /* VAg[h4 */
#define SCIF_SCSMR5        0xFFFEA800 /* VA[h5 */
#define SCIF_SCBRR5        0xFFFEA804 /* rbg[g5 */
#define SCIF_SCSCR5        0xFFFEA808 /* VARg[5 */
#define SCIF_SCFTDR5       0xFFFEA80C /* gX~bgFIFO f[^5 */
#define SCIF_SCFSR5        0xFFFEA810 /* VAXe[^X5 */
#define SCIF_SCFRDR5       0xFFFEA814 /* V[uFIFO f[^5 */
#define SCIF_SCFCR5        0xFFFEA818 /* FIFO Rg[5 */
#define SCIF_SCFDR5        0xFFFEA81C /* FIFO f[^JEgZbg5 */
#define SCIF_SCSPTR5       0xFFFEA820 /* VA|[g5 */
#define SCIF_SCLSR5        0xFFFEA824 /* CXe[^X5 */
#define SCIF_SCSEMR5       0xFFFEA828 /* VAg[h5 */
#define SCIF_SCSMR6        0xFFFEB000 /* VA[h6 */
#define SCIF_SCBRR6        0xFFFEB004 /* rbg[g6 */
#define SCIF_SCSCR6        0xFFFEB008 /* VARg[6 */
#define SCIF_SCFTDR6       0xFFFEB00C /* gX~bgFIFO f[^6 */
#define SCIF_SCFSR6        0xFFFEB010 /* VAXe[^X6 */
#define SCIF_SCFRDR6       0xFFFEB014 /* V[uFIFO f[^6 */
#define SCIF_SCFCR6        0xFFFEB018 /* FIFO Rg[6 */
#define SCIF_SCFDR6        0xFFFEB01C /* FIFO f[^JEgZbg6 */
#define SCIF_SCSPTR6       0xFFFEB020 /* VA|[g6 */
#define SCIF_SCLSR6        0xFFFEB024 /* CXe[^X6 */
#define SCIF_SCSEMR6       0xFFFEB028 /* VAg[h6 */
#define SCIF_SCSMR7        0xFFFEB800 /* VA[h7 */
#define SCIF_SCBRR7        0xFFFEB804 /* rbg[g7 */
#define SCIF_SCSCR7        0xFFFEB808 /* VARg[7 */
#define SCIF_SCFTDR7       0xFFFEB80C /* gX~bgFIFO f[^7 */
#define SCIF_SCFSR7        0xFFFEB810 /* VAXe[^X7 */
#define SCIF_SCFRDR7       0xFFFEB814 /* V[uFIFO f[^7 */
#define SCIF_SCFCR7        0xFFFEB818 /* FIFO Rg[7 */
#define SCIF_SCFDR7        0xFFFEB81C /* FIFO f[^JEgZbg7 */
#define SCIF_SCSPTR7       0xFFFEB820 /* VA|[g7 */
#define SCIF_SCLSR7        0xFFFEB824 /* CXe[^X7 */
#define SCIF_SCSEMR7       0xFFFEB828 /* VAg[h7 */


/* lTXVAytFC^tF[X */

#define SPI_SPCR0          0xFFFF8000 /* 0 */
#define SPI_SSLP0          0xFFFF8001 /* X[uZNgɐ0 */
#define SPI_SPPCR0         0xFFFF8002 /* [q0 */
#define SPI_SPSR0          0xFFFF8003 /* Xe[^X0 */
#define SPI_SPDR0          0xFFFF8004 /* f[^0 */
#define SPI_SPSCR0         0xFFFF8008 /* V[PX0 */
#define SPI_SPSSR0         0xFFFF8009 /* V[PXXe[^X0 */
#define SPI_SPBR0          0xFFFF800A /* rbg[g0 */
#define SPI_SPDCR0         0xFFFF800B /* f[^Rg[0 */
#define SPI_SPCKD0         0xFFFF800C /* NbNx0 */
#define SPI_SSLND0         0xFFFF800D /* X[uZNglQ[gx0 */
#define SPI_SPND0          0xFFFF800E /* ANZXx0 */
#define SPI_SPCMD00        0xFFFF8010 /* R}h00 */
#define SPI_SPCMD01        0xFFFF8012 /* R}h01 */
#define SPI_SPCMD02        0xFFFF8014 /* R}h02 */
#define SPI_SPCMD03        0xFFFF8016 /* R}h03 */
#define SPI_SPBFCR0        0xFFFF8020 /* obt@Rg[0 */
#define SPI_SPBFDR0        0xFFFF8022 /* obt@f[^JEgZbg0 */
#define SPI_SPCR1          0xFFFF8800 /* 1 */
#define SPI_SSLP1          0xFFFF8801 /* X[uZNgɐ1 */
#define SPI_SPPCR1         0xFFFF8802 /* [q1 */
#define SPI_SPSR1          0xFFFF8803 /* Xe[^X1 */
#define SPI_SPDR1          0xFFFF8804 /* f[^1 */
#define SPI_SPSCR1         0xFFFF8808 /* V[PX1 */
#define SPI_SPSSR1         0xFFFF8809 /* V[PXXe[^X1 */
#define SPI_SPBR1          0xFFFF880A /* rbg[g1 */
#define SPI_SPDCR1         0xFFFF880B /* f[^Rg[1 */
#define SPI_SPCKD1         0xFFFF880C /* NbNx1 */
#define SPI_SSLND1         0xFFFF880D /* X[uZNglQ[gx1 */
#define SPI_SPND1          0xFFFF880E /* ANZXx1 */
#define SPI_SPCMD10        0xFFFF8810 /* R}h10 */
#define SPI_SPCMD11        0xFFFF8812 /* R}h11 */
#define SPI_SPCMD12        0xFFFF8814 /* R}h12 */
#define SPI_SPCMD13        0xFFFF8816 /* R}h13 */
#define SPI_SPBFCR1        0xFFFF8820 /* obt@Rg[1 */
#define SPI_SPBFDR1        0xFFFF8822 /* obt@f[^JEgZbg1 */


/* I2C oXC^tF[X3(IIC3) */

#define IIC3_ICCR1         0xFFFEE000 /* I2C oXRg[1 */
#define IIC3_ICCR2         0xFFFEE001 /* I2C oXRg[2 */
#define IIC3_ICMR          0xFFFEE002 /* I2C oX[h */
#define IIC3_ICIER         0xFFFEE003 /* I2C oXC^vgCl[u */
#define IIC3_ICSR          0xFFFEE004 /* I2C oXXe[^X */
#define IIC3_SAR           0xFFFEE005 /* X[uAhX */
#define IIC3_ICDRT         0xFFFEE006 /* I2C oXMf[^ */
#define IIC3_ICDRR         0xFFFEE007 /* I2C oXMf[^ */
#define IIC3_NF2CYC        0xFFFEE008 /* NF2CYC  */
#define IIC3_ICCR11        0xFFFEE400 /* I2C oXRg[11 */
#define IIC3_ICCR21        0xFFFEE401 /* I2C oXRg[21 */
#define IIC3_ICMR1         0xFFFEE402 /* I2C oX[h1 */
#define IIC3_ICIER1        0xFFFEE403 /* I2C oXC^vgCl[u1 */
#define IIC3_ICSR1         0xFFFEE404 /* I2C oXXe[^X1 */
#define IIC3_SAR1          0xFFFEE405 /* X[uAhX1 */
#define IIC3_ICDRT1        0xFFFEE406 /* I2C oXMf[^1 */
#define IIC3_ICDRR1        0xFFFEE407 /* I2C oXMf[^1 */
#define IIC3_NF2CYC1       0xFFFEE408 /* NF2CYC1  */
#define IIC3_ICCR12        0xFFFEE800 /* I2C oXRg[12 */
#define IIC3_ICCR22        0xFFFEE801 /* I2C oXRg[22 */
#define IIC3_ICMR2         0xFFFEE802 /* I2C oX[h2 */
#define IIC3_ICIER2        0xFFFEE803 /* I2C oXC^vgCl[u2 */
#define IIC3_ICSR2         0xFFFEE804 /* I2C oXXe[^X2 */
#define IIC3_SAR2          0xFFFEE805 /* X[uAhX2 */
#define IIC3_ICDRT2        0xFFFEE806 /* I2C oXMf[^2 */
#define IIC3_ICDRR2        0xFFFEE807 /* I2C oXMf[^2 */
#define IIC3_NF2CYC2       0xFFFEE808 /* NF2CYC2  */


/* VATEhC^tF[X (SSI) */

#define SSI_SSICR0         0xFFFF0000 /* Rg[0 */
#define SSI_SSISR0         0xFFFF0004 /* Xe[^X0 */
#define SSI_SSIFCR0        0xFFFF0010 /* FIFORg[0 */
#define SSI_SSIFSR0        0xFFFF0014 /* FIFO Xe[^X0 */
#define SSI_SSIFTDR0       0xFFFF0018 /* gX~bgFIFOf[^0 */
#define SSI_SSIFRDR0       0xFFFF001C /* V[uFIFOf[^0 */
#define SSI_SSICR1         0xFFFF0800 /* Rg[1 */
#define SSI_SSISR1         0xFFFF0804 /* Xe[^X1 */
#define SSI_SSIFCR1        0xFFFF0810 /* FIFORg[1 */
#define SSI_SSIFSR1        0xFFFF0814 /* FIFO Xe[^X1 */
#define SSI_SSIFTDR1       0xFFFF0818 /* gX~bgFIFOf[^1 */
#define SSI_SSIFRDR1       0xFFFF081C /* V[uFIFOf[^1 */
#define SSI_SSICR2         0xFFFF1000 /* Rg[2 */
#define SSI_SSISR2         0xFFFF1004 /* Xe[^X2 */
#define SSI_SSIFCR2        0xFFFF1010 /* FIFORg[2 */
#define SSI_SSIFSR2        0xFFFF1014 /* FIFO Xe[^X2 */
#define SSI_SSIFTDR2       0xFFFF1018 /* gX~bgFIFOf[^2 */
#define SSI_SSIFRDR2       0xFFFF101C /* V[uFIFOf[^2 */
#define SSI_SSICR3         0xFFFF1800 /* Rg[3 */
#define SSI_SSISR3         0xFFFF1804 /* Xe[^X3 */
#define SSI_SSIFCR3        0xFFFF1810 /* FIFORg[3 */
#define SSI_SSIFSR3        0xFFFF1814 /* FIFO Xe[^X3 */
#define SSI_SSIFTDR3       0xFFFF1818 /* gX~bgFIFOf[^3 */
#define SSI_SSIFRDR3       0xFFFF181C /* V[uFIFOf[^3 */


/* FIFO tNbNVAI/OiSIOFj */

#define SIOF_SIMDR         0xFFFF4800 /* [hWX^ */
#define SIOF_SISCR         0xFFFF4802 /* NbNZNgWX^ */
#define SIOF_SITDAR        0xFFFF4804 /* Mf[^ATCWX^ */
#define SIOF_SIRDAR        0xFFFF4806 /* Mf[^ATCWX^ */
#define SIOF_SICTR         0xFFFF480C /* Rg[WX^ */
#define SIOF_SIFCTR        0xFFFF4810 /* FIFO Rg[WX^ */
#define SIOF_SISTR         0xFFFF4814 /* Xe[^XWX^ */
#define SIOF_SIIER         0xFFFF4816 /* 荞݋WX^ */
#define SIOF_SITDR         0xFFFF4820 /* Mf[^WX^ */
#define SIOF_SIRDR         0xFFFF4824 /* Mf[^WX^ */


/* Rg[GAlbg[NiRCAN-ETj */

#define RCAN_ET_MCR        0xFFFE5000 /* }X^Rg[ */
#define RCAN_ET_GSR        0xFFFE5002 /* WFlXe[^X */
#define RCAN_ET_BCR1       0xFFFE5004 /* rbgRtBM[V1 */
#define RCAN_ET_BCR0       0xFFFE5006 /* rbgRtBM[V0 */
#define RCAN_ET_IRR        0xFFFE5008 /* C^vgNGXg */
#define RCAN_ET_IMR        0xFFFE500A /* C^vg}XN */
#define RCAN_ET_TEC/REC    0xFFFE500C /* MG[JE^^MG[JE^ */
#define RCAN_ET_TXPR1_0    0xFFFE5020 /* M҂1A0 */
#define RCAN_ET_TXPR0_0    0xFFFE5022 /* M1A0 */
#define RCAN_ET_TXCR1      0xFFFE5028 /* MLZ1 */
#define RCAN_ET_TXCR0      0xFFFE502A /* MLZ0 */
#define RCAN_ET_TXACK1     0xFFFE5030 /* MANmbW1 */
#define RCAN_ET_TXACK0     0xFFFE5032 /* MANmbW0 */
#define RCAN_ET_ABACK1     0xFFFE5038 /* A{[gANmbW1 */
#define RCAN_ET_ABACK0     0xFFFE503A /* A{[gANmbW0 */
#define RCAN_ET_RXPR1      0xFFFE5040 /* f[^t[M1 */
#define RCAN_ET_RXPR0      0xFFFE5042 /* f[^t[M0 */
#define RCAN_ET_RFPR1      0xFFFE5048 /* [gt[M1 */
#define RCAN_ET_RFPR0      0xFFFE504A /* [gt[M0 */
#define RCAN_ET_MBIMR1     0xFFFE5050 /* [{bNXC^vg}XN1 */
#define RCAN_ET_MBIMR0     0xFFFE5052 /* [{bNXC^vg}XN0 */
#define RCAN_ET_UMSR1      0xFFFE5058 /* ǃbZ[WXe[^X1 */
#define RCAN_ET_UMSR0      0xFFFE505A /* ^C}gKRg[0 */
#define RCAN_ET_TTCR0      0xFFFE5080 /* ^C}gKRg[0 */
#define RCAN_ET_CMAX_TEW0  0xFFFE5084 /* TCN}LV}^Tx_Enable_Window0 */
#define RCAN_ET_RFTROFF0   0xFFFE5086 /* t@XgKItZbg0 */
#define RCAN_ET_TSR0       0xFFFE5088 /* ^C}Xe[^0 */
#define RCAN_ET_CCR0       0xFFFE508A /* TCNJE^0 */
#define RCAN_ET_TCNTR0     0xFFFE508C /* ^C}JE^0 */
#define RCAN_ET_CYCTR0     0xFFFE5090 /* TCN^C0 */
#define RCAN_ET_RFMK0      0xFFFE5094 /* t@X}[N0 */
#define RCAN_ET_TCMR00     0xFFFE5098 /* ^CRyA}b`0 */
#define RCAN_ET_TCMR10     0xFFFE509C /* ^CRyA}b`1 */
#define RCAN_ET_TCMR20     0xFFFE50A0 /* ^CRyA}b`2 */
#define RCAN_ET_TTTSEL0    0xFFFE50A4 /* MgK^CZNg0 */

#define RCAN_ET_MB0        0xFFFE5100 /* [{bNX0 */
#define RCAN_ET_MB1        0xFFFFD120 /* [{bNX1 */
#define RCAN_ET_MB2        0xFFFFD140 /* [{bNX2 */
#define RCAN_ET_MB3        0xFFFFD160 /* [{bNX3 */
#define RCAN_ET_MB4        0xFFFFD180 /* [{bNX4 */
#define RCAN_ET_MB5        0xFFFFD1A0 /* [{bNX5 */
#define RCAN_ET_MB6        0xFFFFD1C0 /* [{bNX6 */
#define RCAN_ET_MB7        0xFFFFD1E0 /* [{bNX7 */
#define RCAN_ET_MB8        0xFFFFD200 /* [{bNX8 */
#define RCAN_ET_MB9        0xFFFFD220 /* [{bNX9 */
#define RCAN_ET_MB10       0xFFFFD240 /* [{bNX10 */
#define RCAN_ET_MB11       0xFFFFD260 /* [{bNX11 */
#define RCAN_ET_MB12       0xFFFFD280 /* [{bNX12 */
#define RCAN_ET_MB13       0xFFFFD2A0 /* [{bNX13 */
#define RCAN_ET_MB14       0xFFFFD2C0 /* [{bNX14 */
#define RCAN_ET_MB15       0xFFFFD2E0 /* [{bNX15 */

/* MB[0] - MB[31] */
#define RCAN_ET_CONTROL0H  0x00000000 /* bZ[WRg[tB[h */
#define RCAN_ET_CONTROL0L  0x00000002
#define RCAN_ET_LAFMH      0x00000004 /* [JANZv^XtB^}XN */
#define RCAN_ET_LAFML      0x00000006
#define RCAN_ET_MSG_DATA0  0x00000008 /* bZ[Wf[^tB[h */
#define RCAN_ET_MSG_DATA1  0x00000009
#define RCAN_ET_MSG_DATA2  0x0000000A
#define RCAN_ET_MSG_DATA3  0x0000000B
#define RCAN_ET_MSG_DATA4  0x0000000C
#define RCAN_ET_MSG_DATA5  0x0000000D
#define RCAN_ET_MSG_DATA6  0x0000000E
#define RCAN_ET_MSG_DATA7  0x0000000F
#define RCAN_ET_CONTROL1H  0x00000110 /* bZ[WRg[tB[h */
#define RCAN_ET_CONTROL1L  0x00000111


/* IEBus Rg[iIEBj */

#define IEB_IECTR          0xFFFEF000 /* IEBus Rg[ */
#define IEB_IECMR          0xFFFEF001 /* IEBus R}h */
#define IEB_IEMCR          0xFFFEF002 /* IEBus }X^Rg[ */
#define IEB_IEAR1          0xFFFEF003 /* IEBus ǃAhXWX^1 */
#define IEB_IEAR2          0xFFFEF004 /* IEBus ǃAhXWX^2 */
#define IEB_IESA1          0xFFFEF005 /* IEBus X[uAhXݒ背WX^1 */
#define IEB_IESA2          0xFFFEF006 /* IEBus X[uAhXݒ背WX^2 */
#define IEB_IETBFL         0xFFFEF007 /* IEBus MdWX^ */
#define IEB_IEMA1          0xFFFEF009 /* IEBus M}X^AhXWX^1 */
#define IEB_IEMA2          0xFFFEF00A /* IEBus M}X^AhXWX^2 */
#define IEB_IERCTL         0xFFFEF00B /* IEBus MRg[tB[hWX^ */
#define IEB_IERBFL         0xFFFEF00C /* IEBus MdWX^ */
#define IEB_IELA1          0xFFFEF00E /* IEBus bNAhXWX^1 */
#define IEB_IELA2          0xFFFEF00F /* IEBus bNAhXWX^2 */
#define IEB_IEFLG          0xFFFEF010 /* IEBus [ltOWX^ */
#define IEB_IETSR          0xFFFEF011 /* IEBus MXe[^XWX^ */
#define IEB_IEIET          0xFFFEF012 /* IEBus M荞݋WX^ */
#define IEB_IERSR          0xFFFEF014 /* IEBus MXe[^XWX^ */
#define IEB_IEIER          0xFFFEF015 /* IEBus M荞݋WX^ */
#define IEB_IECKSR         0xFFFEF018 /* IEBus NbNIWX^ */

/* IEBus Mf[^obt@001`128 */
#define IEB_IETBnnn        0xFFFEF100 /* H'FFFEF100`H'FFFEF17F */

/* IEBus Mf[^obt@001`128 */
#define IEB_IERBnnn        0xFFFEF200 /* H'FFFEF200`H'FFFEF27F */


/* lTXSPDIFC^tF[XiSPDIFj */

#define SPDIF_TLCA         0xFFFF5800 /* MW[`l1 I[fBI */
#define SPDIF_TRCA         0xFFFF5804 /* MW[`l2 I[fBI */
#define SPDIF_TLCS         0xFFFF5808 /* MW[`l1 Xe[^X */
#define SPDIF_TRCS         0xFFFF580C /* MW[`l2 Xe[^X */
#define SPDIF_TUI          0xFFFF5810 /* M[Uf[^WX^ */
#define SPDIF_RLCA         0xFFFF5814 /* MW[`l1 I[fBI */
#define SPDIF_RRCA         0xFFFF5818 /* MW[`l2 I[fBI */
#define SPDIF_RLCS         0xFFFF581C /* MW[`l1 Xe[^X */
#define SPDIF_RRCS         0xFFFF5820 /* MW[`l2 Xe[^X */
#define SPDIF_RUI          0xFFFF5824 /* Rg[ */
#define SPDIF_CTRL         0xFFFF5828 /* Xe[^X */
#define SPDIF_STAT         0xFFFF582C /* MW[`l2 Xe[^X */
#define SPDIF_TDAD         0xFFFF5830 /* MW[DMA I[fBIf[^ */
#define SPDIF_RDAD         0xFFFF5834 /* MW[DMA I[fBIf[^ */


/* CD-ROM fR[_iCDROMj */

#define CDROM_CROMEN       0xFFFF9000 /* Cl[uRg[ */
#define CDROM_CROMSY0      0xFFFF9001 /* R[h̓Rg[ */
#define CDROM_CROMCTL0     0xFFFF9002 /* fR[fBO[hRg[ */
#define CDROM_CROMCTL1     0xFFFF9003 /* EDCAECC `FbNRg[ */
#define CDROM_CROMCTL3     0xFFFF9005 /* fR[h~Rg[ */
#define CDROM_CROMCTL4     0xFFFF9006 /* fR[hIvVݒRg[ */
#define CDROM_CROMCTL5     0xFFFF9007 /* HEAD20`22 \Rg[ */
#define CDROM_CROMST0      0xFFFF9008 /* R[hXe[^X */
#define CDROM_CROMST1      0xFFFF9009 /* ECC ̃wb_ɑ΂G[Xe[^X */
#define CDROM_CROMST3      0xFFFF900B /* ECC ̃Tuwb_ɑ΂G[Xe[^X */
#define CDROM_CROMST4      0xFFFF900C /* wb_ATuwb_f[^ÓXe[^X */
#define CDROM_CROMST5      0xFFFF900D /* [h茋ʂƃNZN^oXe[^X */
#define CDROM_CROMST6      0xFFFF900E /* ECCAEDC G[Xe[^X */
#define CDROM_CBUFST0      0xFFFF9014 /* obt@Xe[^X */
#define CDROM_CBUFST1      0xFFFF9015 /* fR[h~vXe[^X */
#define CDROM_CBUFST2      0xFFFF9016 /* obt@I[ot[Xe[^X */
#define CDROM_HEAD00       0xFFFF9018 /* ECC Owb_-MINUTES f[^ */
#define CDROM_HEAD01       0xFFFF9019 /* ECC Owb_-SECONDS f[^ */
#define CDROM_HEAD02       0xFFFF901A /* ECC Owb_-FRAMESi1/75 bjf[^ */
#define CDROM_HEAD03       0xFFFF901B /* ECC Owb_-MODE f[^ */
#define CDROM_SHEAD00      0xFFFF901C /* ECC OTuwb_-t@CioiBYTE-16jf[^ */
#define CDROM_SHEAD01      0xFFFF901D /* ECC OTuwb_-`lioiBYTE-17jf[^ */
#define CDROM_SHEAD02      0xFFFF901E /* ECC OTuwb_-Tu[hiBYTE-18jf[^ */
#define CDROM_SHEAD03      0xFFFF901F /* ECC OTuwb_-f[^^CviBYTE-19jf[^ */
#define CDROM_SHEAD04      0xFFFF9020 /* ECC OTuwb_-t@CioiBYTE-20jf[^ */
#define CDROM_SHEAD05      0xFFFF9021 /* ECC OTuwb_-`lioiBYTE-21jf[^ */
#define CDROM_SHEAD06      0xFFFF9022 /* ECC OTuwb_-Tu[hiBYTE-22jf[^ */
#define CDROM_SHEAD07      0xFFFF9023 /* ECC OTuwb_-f[^^CviBYTE-23jf[^ */
#define CDROM_HEAD20       0xFFFF9024 /* ECC wb_-MINUTES f[^ */
#define CDROM_HEAD21       0xFFFF9025 /* ECC wb_-SECONDS f[^ */
#define CDROM_HEAD22       0xFFFF9026 /* ECC wb_-FRAMESi1/75 bjf[^ */
#define CDROM_HEAD23       0xFFFF9027 /* ECC wb_-MODE f[^ */
#define CDROM_SHEAD20      0xFFFF9028 /* ECC Tuwb_-t@CioiBYTE-16jf[^ */
#define CDROM_SHEAD21      0xFFFF9029 /* ECC Tuwb_-`lioiBYTE-17jf[^ */
#define CDROM_SHEAD22      0xFFFF902A /* ECC Tuwb_-Tu[hiBYTE-18jf[^ */
#define CDROM_SHEAD23      0xFFFF902B /* ECC Tuwb_-f[^^CviBYTE-19jf[^ */
#define CDROM_SHEAD24      0xFFFF902C /* ECC Tuwb_-t@CioiBYTE-20jf[^ */
#define CDROM_SHEAD25      0xFFFF902D /* ECC Tuwb_-`lioiBYTE-21jf[^ */
#define CDROM_SHEAD26      0xFFFF902E /* ECC Tuwb_-Tu[hiBYTE-22jf[^ */
#define CDROM_SHEAD27      0xFFFF902F /* ECC Tuwb_-f[^^CviBYTE-23jf[^ */
#define CDROM_CBUFCTL0     0xFFFF9040 /* obt@OݒRg[ */
#define CDROM_CBUFCTL1     0xFFFF9041 /* obt@OJnZN^ݒ-MINUTES Rg[ */
#define CDROM_CBUFCTL2     0xFFFF9042 /* obt@OJnZN^ݒ-SECONDS Rg[ */
#define CDROM_CBUFCTL3     0xFFFF9043 /* obt@OJnZN^ݒ-FRAMES Rg[ */
#define CDROM_CROMST0M     0xFFFF9045 /* ISY 荞ݗv}XNRg[ */
#define CDROM_ROMDECRST    0xFFFF9100 /* CD-ROM fR[_W[ZbgRg[ */
#define CDROM_RSTSTAT      0xFFFF9101 /* CD-ROM fR[_W[ZbgXe[^X */
#define CDROM_SSI          0xFFFF9102 /* VATEhC^tF[Xf[^Rg[ */
#define CDROM_INTHOLD      0xFFFF9108 /* 荞݃tOWX^ */
#define CDROM_INHINT       0xFFFF9109 /* 荞ݗv}XNRg[ */
#define CDROM_STRMDIN0     0xFFFF9200 /* CD-ROM fR[_Xg[f[^ */
#define CDROM_STRMDIN2     0xFFFF9202 /* CD-ROM fR[_Xg[f[^ */
#define CDROM_STRMDOUT0    0xFFFF9204 /* CD-ROM fR[_Xg[f[^o */


/* A/Dϊ (ADC) */

#define ADC_ADDRA          0xFFFF9800 /* A/D f[^WX^A */
#define ADC_ADDRB          0xFFFF9802 /* A/D f[^WX^B */
#define ADC_ADDRC          0xFFFF9804 /* A/D f[^WX^C */
#define ADC_ADDRD          0xFFFF9806 /* A/D f[^WX^D */
#define ADC_ADDRE          0xFFFF9808 /* A/D f[^WX^E */
#define ADC_ADDRF          0xFFFF980A /* A/D f[^WX^F */
#define ADC_ADDRG          0xFFFF980C /* A/D f[^WX^G */
#define ADC_ADDRH          0xFFFF980E /* A/D f[^WX^H */
#define ADC_ADCSR          0xFFFF9820 /* A/D Rg[^Xe[^XWX^ */


/* NAND tbVRg[ */

#define FLCTL_FLCMNCR      0xFFFF4000 /* ʃRg[ */
#define FLCTL_FLCMDCR      0xFFFF4004 /* R}h */
#define FLCTL_FLCMCDR      0xFFFF4008 /* R}hR[h */
#define FLCTL_FLADR        0xFFFF400C /* AhX */
#define FLCTL_FLADR2       0xFFFF403C /* AhX2 */
#define FLCTL_FLDATAR      0xFFFF4010 /* f[^ */
#define FLCTL_FLDCNTR      0xFFFF4014 /* f[^JE^ */
#define FLCTL_FLINTDMACR   0xFFFF4018 /* 荞DMA  */
#define FLCTL_FLBSYTMR     0xFFFF401C /* fBrW[^CAEgݒ */
#define FLCTL_FLBSYCNT     0xFFFF4020 /* fBrW[^CAEgJE^ */
#define FLCTL_FLDTFIFO     0xFFFF4050 /* f[^FIFO */
#define FLCTL_FLECFIFO     0xFFFF4060 /* ǗR[hFIFO */
#define FLCTL_FLTRCR       0xFFFF402C /* ] */
#define FLCTL_FLHOLDCR     0xFFFF4038 /* oXLԐݒ */
#define FLCTL_FL4ECCRES1   0xFFFF4080 /* 4 V{ECC 1 */
#define FLCTL_FL4ECCRES2   0xFFFF4084 /* 4 V{ECC 2 */
#define FLCTL_FL4ECCRES3   0xFFFF4008 /* 4 V{ECC 3 */
#define FLCTL_FL4ECCRES4   0xFFFF408C /* 4 V{ECC 4 */
#define FLCTL_FL4ECCCR     0xFFFF4090 /* 4 V{ECC  */
#define FLCTL_FL4ECCCNT    0xFFFF4094 /* 4 V{ECC G[JEg */


/* USB2.0 zXg/t@NVW[ (USB) */

#define USB_SYSCFG         0xFFFFC000 /* VXeRtBO[VRg[ */
#define USB_BUSWAIT        0xFFFFC002 /* CPU oXEGCgݒ */
#define USB_SYSSTS         0xFFFFC004 /* VXeRtBO[VXe[^X */
#define USB_DVSTCTR        0xFFFFC008 /* foCXRg[ */
#define USB_TESTMODE       0xFFFFC00C /* eXg[h */
#define USB_D0FBCFG        0xFFFFC010 /* D0FIFO oXRtBO[V */
#define USB_D1FBCFG        0xFFFFC012 /* D1FIFO oXRtBO[V */
#define USB_CFIFO          0xFFFFC014 /* CFIFO |[g */
#define USB_D0FIFO         0xFFFFC018 /* D0FIFO |[g */
#define USB_D1FIFO         0xFFFFC01C /* D1FIFO |[g */
#define USB_CFIFOSEL       0xFFFFC020 /* CFIFO |[gI */
#define USB_CFIFOCTR       0xFFFFC022 /* CFIFO |[gRg[ */
#define USB_D0FIFOSEL      0xFFFFC028 /* D0CFIFO |[gI */
#define USB_D0FIFOCTR      0xFFFFC02A /* D0FIFO |[gRg[ */
#define USB_D1FIFOSEL      0xFFFFC02C /* D1CFIFO |[gI */
#define USB_D1FIFOCTR      0xFFFFC02E /* D1FIFO |[gRg[ */
#define USB_INTENB0        0xFFFFC030 /* 荞݋0 */
#define USB_INTENB1        0xFFFFC032 /* 荞݋1 */
#define USB_BRDYENB        0xFFFFC036 /* BRDY 荞݋ */
#define USB_NRDYENB        0xFFFFC038 /* NRDY 荞݋ */
#define USB_BEMPENB        0xFFFFC03A /* BEMP 荞݋ */
#define USB_SOFCFG         0xFFFFC03C /* SOF o̓RtBO[V */
#define USB_INTSTS0        0xFFFFC040 /* 荞݃Xe[^X0 */
#define USB_INTSTS1        0xFFFFC042 /* 荞݃Xe[^X1 */
#define USB_BRDYSTS        0xFFFFC046 /* BRDY 荞݃Xe[^X */
#define USB_NRDYSTS        0xFFFFC048 /* NRDY 荞݃Xe[^X */
#define USB_BEMPSTS        0xFFFFC04A /* BEMP 荞݃Xe[^X */
#define USB_FRMNUM         0xFFFFC04C /* t[io */
#define USB_UFRMNUM        0xFFFFC04E /* ʃt[io */
#define USB_USBADDR        0xFFFFC050 /* USB AhX */
#define USB_USBREQ         0xFFFFC054 /* USB NGXg^Cv */
#define USB_USBVAL         0xFFFFC056 /* USB NGXgo[ */
#define USB_USBINDX        0xFFFFC058 /* USB NGXgCfbNX */
#define USB_USBLENG        0xFFFFC05A /* USB NGXgOX */
#define USB_DCPCFG         0xFFFFC05C /* DCP RtBO[V */
#define USB_DCPMAXP        0xFFFFC05E /* DCP }bNXpPbgTCY */
#define USB_DCPCTR         0xFFFFC060 /* DCP Rg[ */
#define USB_PIPESEL        0xFFFFC064 /* pCvEBhEI */
#define USB_PIPECFG        0xFFFFC068 /* pCvRtBO[V */
#define USB_PIPEBUF        0xFFFFC06A /* pCvobt@w */
#define USB_PIPEMAXP       0xFFFFC06C /* pCv}bNXpPbgTCY */
#define USB_PIPEPERI       0xFFFFC06E /* pCv */
#define USB_PIPE1CTR       0xFFFFC070 /* PIPE1 Rg[ */
#define USB_PIPE2CTR       0xFFFFC072 /* PIPE2 Rg[ */
#define USB_PIPE3CTR       0xFFFFC074 /* PIPE3 Rg[ */
#define USB_PIPE4CTR       0xFFFFC076 /* PIPE4 Rg[ */
#define USB_PIPE5CTR       0xFFFFC078 /* PIPE5 Rg[ */
#define USB_PIPE6CTR       0xFFFFC07A /* PIPE6 Rg[ */
#define USB_PIPE7CTR       0xFFFFC07C /* PIPE7 Rg[ */
#define USB_PIPE8CTR       0xFFFFC07E /* PIPE8 Rg[ */
#define USB_PIPE9CTR       0xFFFFC080 /* PIPE9 Rg[ */
#define USB_PIPE1TRE       0xFFFFC090 /* PIPE1 gUNVJE^Cl[u */
#define USB_PIPE1TRN       0xFFFFC092 /* PIPE1 gUNVJE^ */
#define USB_PIPE2TRE       0xFFFFC094 /* PIPE2 gUNVJE^Cl[u */
#define USB_PIPE2TRN       0xFFFFC096 /* PIPE2 gUNVJE^ */
#define USB_PIPE3TRE       0xFFFFC098 /* PIPE3 gUNVJE^Cl[u */
#define USB_PIPE3TRN       0xFFFFC09A /* PIPE3 gUNVJE^ */
#define USB_PIPE4TRE       0xFFFFC09C /* PIPE4 gUNVJE^Cl[u */
#define USB_PIPE4TRN       0xFFFFC09E /* PIPE4 gUNVJE^ */
#define USB_PIPE5TRE       0xFFFFC0A0 /* PIPE5 gUNVJE^Cl[u */
#define USB_PIPE5TRN       0xFFFFC0A2 /* PIPE5 gUNVJE^ */
#define USB_USBACSWR1      0xFFFFC0C2 /* USB AC ؂ւ1 */
#define USB_DEVADD0        0xFFFFC0D0 /* foCXAhX0 RtBO[V */
#define USB_DEVADD1        0xFFFFC0D2 /* foCXAhX1 RtBO[V */
#define USB_DEVADD2        0xFFFFC0D4 /* foCXAhX2 RtBO[V */
#define USB_DEVADD3        0xFFFFC0D6 /* foCXAhX3 RtBO[V */
#define USB_DEVADD4        0xFFFFC0D8 /* foCXAhX4 RtBO[V */
#define USB_DEVADD5        0xFFFFC0DA /* foCXAhX5 RtBO[V */
#define USB_DEVADD6        0xFFFFC0DC /* foCXAhX6 RtBO[V */
#define USB_DEVADD7        0xFFFFC0DE /* foCXAhX7 RtBO[V */
#define USB_DEVADD8        0xFFFFC0E0 /* foCXAhX8 RtBO[V */
#define USB_DEVADD9        0xFFFFC0E2 /* foCXAhX9 RtBO[V */
#define USB_DEVADDA        0xFFFFC0E4 /* foCXAhXA RtBO[V */


/* rfIfBXvCRg[3 */

#define VIDEO_MODE         0xFFFF2000 /* f샂[h */
#define VIDEO_INT_CNT      0xFFFF2004 /* f荞ݐ */
#define VIDEO_TIM_CNT      0xFFFF2008 /* f̓^C~O */
#define VIDEO_SIZE         0xFFFF2100 /* LfTCY */
#define VIDEO_VSTART       0xFFFF2104 /* LfJnʒu */
#define VIDEO_HSTART       0xFFFF2108 /* L摜Jnʒu */
#define VIDEO_VSYNC_TIM1   0xFFFF210C /* fpM^C~O1 */
#define VIDEO_SAVE_NUM     0xFFFF2110 /* fۑtB[hݒ */
#define VIDEO_IMAGE_CNT    0xFFFF2114 /* fkA␳ݒ */
#define VIDEO_BASEADR      0xFFFF2118 /* fx[XAhX */
#define VIDEO_LINE_OFFSET  0xFFFF211C /* fCItZbg */
#define VIDEO_FIELD_OFFSET 0xFFFF2120 /* ftB[hItZbg */
#define VIDEO_LINEBUFF_NUM 0xFFFF2124 /* fCobt@ */
#define VIDEO_DISP_SIZE    0xFFFF2128 /* f\/^TCY */
#define VIDEO_DISP_HSTART  0xFFFF212C /* f\ʒu */
#define GRCMEN1            0xFFFF2800 /* OtBbNX */
#define GRCBUSCNT1         0xFFFF2804 /* oX */
#define GRCINTCNT1         0xFFFF2808 /* OtBbNX荞ݐ */
#define GROPSADR1          0xFFFF2B08 /* OtBbNX摜x[XAhX */
#define GROPSWH1           0xFFFF2B0C /* OtBbNX摜TCY */
#define GROPSOFST1         0xFFFF2B10 /* OtBbNX摜CItZbg */
#define GROPDPHV1          0xFFFF2B14 /* OtBbNX摜Jnʒu */
#define GROPEWH1           0xFFFF2B18 /* ̈TCY */
#define GROPEDPHV1         0xFFFF2B1C /* ̈Jnʒu */
#define GROPEDPA1          0xFFFF2B20 /*  */
#define GROPCRKY0_1        0xFFFF2B24 /* N}L[ */
#define GROPCRKY1_1        0xFFFF2B28 /* N}Fw */
#define GROPBASERGB1       0xFFFF2B2C /* OtBbNX摜O̐Fݒ */
#define GRCMEN2            0xFFFF3000 /* OtBbNX */
#define GRCBUSCNT2         0xFFFF3004 /* oX */
#define GRCINTCNT2         0xFFFF3008 /* OtBbNX荞ݐ */
#define GROPSADR2          0xFFFF3308 /* OtBbNX摜x[XAhX */
#define GROPSWH2           0xFFFF330C /* OtBbNX摜TCY */
#define GROPSOFST2         0xFFFF3310 /* OtBbNX摜CItZbg */
#define GROPDPHV2          0xFFFF3314 /* OtBbNX摜Jnʒu */
#define GROPEWH2           0xFFFF3318 /* ̈TCY */
#define GROPEDPHV2         0xFFFF331C /* ̈Jnʒu */
#define GROPEDPA2          0xFFFF3320 /*  */
#define GROPCRKY0_2        0xFFFF3324 /* N}L[ */
#define GROPCRKY1_2        0xFFFF3328 /* N}Fw */
#define GROPBASERGB2       0xFFFF332C /* OtBbNX摜O̐Fݒ */
#define SGMODE             0xFFFF3800 /* SG [hݒ */
#define SGINTCNT           0xFFFF3804 /* 荞ݏo͐ */
#define SYNCNT             0xFFFF3808 /* M */
#define PANEL_CLKSEL       0xFFFF380C /* plNbNZNg */
#define SYN_SIZE           0xFFFF3900 /* MTCY */
#define PANEL_VSYNC_TIM    0xFFFF3904 /* plo͗pM^C~O */
#define PANEL_HSYNC_TIM    0xFFFF3908 /* plo͗pM^C~O */
#define VIDEO_VSYNC_TIM2   0xFFFF390C /* fpM^C~O2 */
#define GRA_VSYNC_TIM      0xFFFF3910 /* OtBbNX摜pM^C~O */
#define AC_LINE_NUM        0xFFFF3914 /* AC W[VMgOCio[ */
#define DE_SIZE            0xFFFF3920 /* DE ̈TCY */
#define DE_START           0xFFFF3924 /* DE ̈Jnʒu */


/* TvO[gRo[^ */

#define SRCID0             0xFFFE7000 /* ̓f[^0 */
#define SRCOD0             0xFFFE7004 /* o̓f[^0 */
#define SRCIDCTRL0         0xFFFE7008 /* ̓f[^0 */
#define SRCODCTRL0         0xFFFE700A /* o̓f[^0 */
#define SRCCTRL0           0xFFFE700C /* 䃌WX^0 */
#define SRCSTAT0           0xFFFE700E /* Xe[^X0 */
#define SRCID1             0xFFFE7800 /* ̓f[^1 */
#define SRCOD1             0xFFFE7804 /* o̓f[^1 */
#define SRCIDCTRL1         0xFFFE7808 /* ̓f[^1 */
#define SRCODCTRL1         0xFFFE780A /* o̓f[^1 */
#define SRCCTRL1           0xFFFE780C /* 䃌WX^1 */
#define SRCSTAT1           0xFFFE780E /* Xe[^X1 */


/* ėpo̓|[g */

#define IO_PAIOR0          0xFFFE3812 /* |[gAEIO 0 */
#define IO_PADR1           0xFFFE3814 /* |[gA f[^1 */
#define IO_PADR0           0xFFFE3816 /* |[gA f[^0 */
#define IO_PAPR0           0xFFFE381A /* |[gA |[g0 */
#define IO_PBCR5           0xFFFE3824 /* |[gB Rg[5 */
#define IO_PBCR4           0xFFFE3826 /* |[gB Rg[4 */
#define IO_PBCR3           0xFFFE3828 /* |[gB Rg[3 */
#define IO_PBCR2           0xFFFE382A /* |[gB Rg[2 */
#define IO_PBCR1           0xFFFE382C /* |[gB Rg[1 */
#define IO_PBCR0           0xFFFE382E /* |[gB Rg[0 */
#define IO_PBIOR1          0xFFFE3830 /* |[gBEIO 1 */
#define IO_PBIOR0          0xFFFE3832 /* |[gBEIO 0 */
#define IO_PBDR1           0xFFFE3834 /* |[gB f[^1 */
#define IO_PBDR0           0xFFFE3836 /* |[gB f[^0 */
#define IO_PBPR1           0xFFFE3838 /* |[gB |[g1 */
#define IO_PBPR0           0xFFFE383A /* |[gB |[g0 */
#define IO_PCCR2           0xFFFE384A /* |[gC Rg[2 */
#define IO_PCCR1           0xFFFE384C /* |[gC Rg[1 */
#define IO_PCCR0           0xFFFE384E /* |[gC Rg[0 */
#define IO_PCIOR0          0xFFFE3852 /* |[gCEIO 0 */
#define IO_PCDR0           0xFFFE3856 /* |[gC f[^0 */
#define IO_PCPR0           0xFFFE385A /* |[gC |[g0 */
#define IO_PDCR3           0xFFFE3868 /* |[gD Rg[3 */
#define IO_PDCR2           0xFFFE386A /* |[gD Rg[2 */
#define IO_PDCR1           0xFFFE386C /* |[gD Rg[1 */
#define IO_PDCR0           0xFFFE386E /* |[gD Rg[0 */
#define IO_PDIOR0          0xFFFE3872 /* |[gDEIO 0 */
#define IO_PDDR0           0xFFFE3876 /* |[gD f[^0 */
#define IO_PDPR0           0xFFFE387A /* |[gD |[g0 */
#define IO_PECR1           0xFFFE388C /* |[gE Rg[1 */
#define IO_PECR0           0xFFFE388E /* |[gE Rg[0 */
#define IO_PEIOR0          0xFFFE3892 /* |[gEEIO 0 */
#define IO_PEDR0           0xFFFE3896 /* |[gE f[^0 */
#define IO_PEPR0           0xFFFE389A /* |[gE |[g0 */
#define IO_PFCR3           0xFFFE38A8 /* |[gF Rg[3 */
#define IO_PFCR2           0xFFFE38AA /* |[gF Rg[2 */
#define IO_PFCR1           0xFFFE38AC /* |[gF Rg[1 */
#define IO_PFCR0           0xFFFE38AE /* |[gF Rg[0 */
#define IO_PFIOR0          0xFFFE38B2 /* |[gFEIO 0 */
#define IO_PFDR0           0xFFFE38B6 /* |[gF f[^0 */
#define IO_PFPR0           0xFFFE38BA /* |[gF |[g0 */
#define IO_PGCR7           0xFFFE38C0 /* |[gG Rg[7 */
#define IO_PGCR6           0xFFFE38C2 /* |[gG Rg[6 */
#define IO_PGCR5           0xFFFE38C4 /* |[gG Rg[5 */
#define IO_PGCR4           0xFFFE38C6 /* |[gG Rg[4 */
#define IO_PGCR3           0xFFFE38C8 /* |[gG Rg[3 */
#define IO_PGCR2           0xFFFE38CA /* |[gG Rg[2 */
#define IO_PGCR1           0xFFFE38CC /* |[gG Rg[1 */
#define IO_PGCR0           0xFFFE38CE /* |[gG Rg[0 */
#define IO_PGIOR1          0xFFFE38D0 /* |[gGEIO 1 */
#define IO_PGIOR0          0xFFFE38D2 /* |[gGEIO 0 */
#define IO_PGDR1           0xFFFE38D4 /* |[gG f[^1 */
#define IO_PGDR0           0xFFFE38D6 /* |[gG f[^0 */
#define IO_PGPR1           0xFFFE38D8 /* |[gG |[g1 */
#define IO_PGPR0           0xFFFE38DA /* |[gG |[g0 */
#define IO_PHCR1           0xFFFE38EC /* |[gH Rg[1 */
#define IO_PHCR0           0xFFFE38EE /* |[gH Rg[0 */
#define IO_PHPR0           0xFFFE38FA /* |[gH |[g0 */
#define IO_PJCR2           0xFFFE390A /* |[gJ Rg[2 */
#define IO_PJCR1           0xFFFE390C /* |[gJ Rg[1 */
#define IO_PJCR0           0xFFFE390E /* |[gJ Rg[0 */
#define IO_PJIOR0          0xFFFE3912 /* |[gJEIO 0 */
#define IO_PJDR0           0xFFFE3916 /* |[gJ f[^0 */
#define IO_PJPR0           0xFFFE391A /* |[gJ |[g0 */
#define IO_PKCR2           0xFFFE392A /* |[gK Rg[2 */
#define IO_PKCR1           0xFFFE392C /* |[gK Rg[1 */
#define IO_PKCR0           0xFFFE392E /* |[gK Rg[0 */
#define IO_PKIOR0          0xFFFE3932 /* |[gKEIO 0 */
#define IO_PKDR0           0xFFFE3936 /* |[gK f[^0 */
#define IO_PKPR0           0xFFFE393A /* |[gK |[g0 */


/* d̓[h */

#define STBCR1             0xFFFE0014 /* X^oCRg[1 */
#define STBCR2             0xFFFE0018 /* X^oCRg[2 */
#define STBCR3             0xFFFE0408 /* X^oCRg[3 */
#define STBCR4             0xFFFE040C /* X^oCRg[4 */
#define STBCR5             0xFFFE0410 /* X^oCRg[5 */
#define STBCR6             0xFFFE0414 /* X^oCRg[6 */
#define STBCR7             0xFFFE0418 /* X^oCRg[7 */
#define STBCR8             0xFFFE041C /* X^oCRg[8 */
#define SWRSTCR            0xFFFE0430 /* \tgEFAZbgRg[ */
#define SYSCR1             0xFFFE0400 /* VXeRg[1 */
#define SYSCR2             0xFFFE0404 /* VXeRg[2 */
#define SYSCR3             0xFFFE0420 /* VXeRg[3 */
#define SYSCR4             0xFFFE0424 /* VXeRg[4 */
#define SYSCR5             0xFFFE0428 /* VXeRg[5 */
#define RRAMKP             0xFFFE6800 /* ێpRAM ێGAw */
#define DSCTR              0xFFFE6802 /* fB[vX^oCRg[ */
#define DSSSR              0xFFFE6804 /* fB[vX^oCvZNg */
#define DSESR              0xFFFE6806 /* fB[vX^oCGbWZNg */
#define DSFR               0xFFFE6808 /* fB[vX^oCvtOWX^ */
#define XTALCTR            0xFFFE6810 /* XTAL UQCRg[ */


/* [UfobOC^tF[X(H-UDI) */

#define HUDI_SDIR          0xFFFE2000 /* CgNV */


/* [^Rg[PWM ^C} */

#define PWCR1              0xFFFEF4E0 /* PWM Rg[1 */
#define PWPR1              0xFFFEF4E4 /* PWM |eB1 */
#define PWCYR1             0xFFFEF4E6 /* PWM TCN1 */
#define PWBFR1A            0xFFFEF4E8 /* PWM obt@1A */
#define PWBFR1C            0xFFFEF4EA /* PWM obt@1C */
#define PWBFR1E            0xFFFEF4EC /* PWM obt@1E */
#define PWBFR1G            0xFFFEF4EE /* PWM obt@1G */
#define PWCR2              0xFFFEF4F0 /* PWM Rg[2 */
#define PWPR2              0xFFFEF4F4 /* PWM |eB2 */
#define PWCYR2             0xFFFEF4F6 /* PWM TCN2 */
#define PWBFR2A            0xFFFEF4F8 /* PWM obt@2A */
#define PWBFR2C            0xFFFEF4FA /* PWM obt@2C */
#define PWBFR2E            0xFFFEF4FC /* PWM obt@2E */
#define PWBFR2G            0xFFFEF4FE /* PWM obt@2G */
#define PWBTCR             0xFFFEF406 /* PWM obt@]Rg[ */



/* ݃xN^ԍ */
#define INT_NMI         11          /* O[q NMI */
#define INT_UDI         14          /* H-UDIu[N */
#define INT_IRQ0        64          /* O[q IRQ0 */
#define INT_IRQ1        65          /* O[q IRQ1 */
#define INT_IRQ2        66          /* O[q IRQ2 */
#define INT_IRQ3        67          /* O[q IRQ3 */
#define INT_IRQ4        68          /* O[q IRQ4 */
#define INT_IRQ5        69          /* O[q IRQ5 */
#define INT_IRQ6        70          /* O[q IRQ6 */
#define INT_IRQ7        71          /* O[q IRQ7 */
#define INT_PINT0       80          /* O[q PINT0 */
#define INT_PINT1       81          /* O[q PINT1 */
#define INT_PINT2       82          /* O[q PINT2 */
#define INT_PINT3       83          /* O[q PINT3 */
#define INT_PINT4       84          /* O[q PINT4 */
#define INT_PINT5       85          /* O[q PINT5 */
#define INT_PINT6       86          /* O[q PINT6 */
#define INT_PINT7       87          /* O[q PINT7 */
#define INT_DEI0        108         /* DMAC0 DMA]I */
#define INT_HEI0        109         /* DMAC0 DMA]1/2I */
#define INT_DEI1        112         /* DMAC1 DMA]I */
#define INT_HEI1        113         /* DMAC1 DMA]1/2I */
#define INT_DEI2        116         /* DMAC2 DMA]I */
#define INT_HEI2        117         /* DMAC2 DMA]1/2I */
#define INT_DEI3        120         /* DMAC3 DMA]I */
#define INT_HEI3        121         /* DMAC3 DMA]1/2I */
#define INT_DEI4        124         /* DMAC4 DMA]I */
#define INT_HEI4        125         /* DMAC4 DMA]1/2I */
#define INT_DEI5        128         /* DMAC5 DMA]I */
#define INT_HEI5        129         /* DMAC5 DMA]1/2I */
#define INT_DEI6        132         /* DMAC6 DMA]I */
#define INT_HEI6        133         /* DMAC6 DMA]1/2I */
#define INT_DEI7        136         /* DMAC7 DMA]I */
#define INT_HEI7        137         /* DMAC7 DMA]1/2I */
#define INT_DEI8        140         /* DMAC8 DMA]I */
#define INT_HEI8        141         /* DMAC8 DMA]1/2I */
#define INT_DEI9        144         /* DMAC9 DMA]I */
#define INT_HEI9        145         /* DMAC9 DMA]1/2I */
#define INT_DEI10       148         /* DMAC10 DMA]I */
#define INT_HEI10       149         /* DMAC10 DMA]1/2I */
#define INT_DEI11       152         /* DMAC11 DMA]I */
#define INT_HEI11       153         /* DMAC11 DMA]1/2I */
#define INT_DEI12       156         /* DMAC12 DMA]I */
#define INT_HEI12       157         /* DMAC12 DMA]1/2I */
#define INT_DEI13       160         /* DMAC13 DMA]I */
#define INT_HEI13       161         /* DMAC13 DMA]1/2I */
#define INT_DEI14       164         /* DMAC14 DMA]I */
#define INT_HEI14       165         /* DMAC14 DMA]1/2I */
#define INT_DEI15       168         /* DMAC15 DMA]I */
#define INT_HEI15       169         /* DMAC15 DMA]1/2I */
#define INT_USBI        170         /* USB2.0 zXg/t@NVW[ */
#define INT_VIVSYNCJ    171         /* VSYNC ꌟo */
#define INT_VBUFERR     172         /* obt@G[ */
#define INT_VIFIELDE    173         /* tB[h݊ */
#define INT_VOLINE      174         /* C荞 */
#define INT_CMI0        175         /* RyA}b`^C} `l0 */
#define INT_CMI1        176         /* RyA}b`^C} `l1 */
#define INT_CMI         177         /* oXXe[gRg[ */
#define INT_ITI         178         /* EHb`hbO^C} */
#define INT_TGI0A       179         /* MTU2 `l0 RyA}b`/CvbgLv`A */
#define INT_TGI0B       180         /* MTU2 `l0 RyA}b`/CvbgLv`B */
#define INT_TGI0C       181         /* MTU2 `l0 RyA}b`/CvbgLv`C */
#define INT_TGI0D       182         /* MTU2 `l0 RyA}b`/CvbgLv`D */
#define INT_TCI0V       183         /* MTU2 `l0 I[ot[ */
#define INT_TGI0E       184         /* MTU2 `l0 RyA}b`E */
#define INT_TGI0F       185         /* MTU2 `l0 RyA}b`F */
#define INT_TGI1A       186         /* MTU2 `l1 RyA}b`/CvbgLv`A */
#define INT_TGI1B       187         /* MTU2 `l1 RyA}b`/CvbgLv`B */
#define INT_TGI1U       188         /* MTU2 `l1 RyA}b`/CvbgLv`U */
#define INT_TGI1V       189         /* MTU2 `l1 RyA}b`/CvbgLv`V */
#define INT_TGI2A       190         /* MTU2 `l2 RyA}b`/CvbgLv`A */
#define INT_TGI2B       191         /* MTU2 `l2 RyA}b`/CvbgLv`B */
#define INT_TGI2U       192         /* MTU2 `l2 RyA}b`/CvbgLv`U */
#define INT_TGI2V       193         /* MTU2 `l2 RyA}b`/CvbgLv`V */
#define INT_TGI3A       194         /* MTU2 `l3 RyA}b`/CvbgLv`A */
#define INT_TGI3B       195         /* MTU2 `l3 RyA}b`/CvbgLv`B */
#define INT_TGI3C       196         /* MTU2 `l3 RyA}b`/CvbgLv`C */
#define INT_TGI3D       197         /* MTU2 `l3 RyA}b`/CvbgLv`D */
#define INT_TCI3V       198         /* MTU2 `l3 I[ot[ */
#define INT_TGI4A       199         /* MTU2 `l4 RyA}b`/CvbgLv`A */
#define INT_TGI4B       200         /* MTU2 `l4 RyA}b`/CvbgLv`B */
#define INT_TGI4C       201         /* MTU2 `l4 RyA}b`/CvbgLv`C */
#define INT_TGI4D       202         /* MTU2 `l4 RyA}b`/CvbgLv`D */
#define INT_TCI4V       203         /* MTU2 `l4 I[ot[ */
#define INT_PWM1        204         /* [^Rg[PWM^C} `l1 */
#define INT_PWM2        205         /* [^Rg[PWM^C} `l2 */
#define INT_ADI         206         /* A/DϊI */
#define INT_SSIF0       207         /* VATEhC^tF[X`l0 */
#define INT_SSIRXI0     208         /* VATEhC^tF[X`l0 Mf[^t */
#define INT_SSITXI0     209         /* VATEhC^tF[X`l0 Mobt@GveB */
#define INT_SSIF1       210         /* VATEhC^tF[X`l1 */
#define INT_SSIRTI1     211         /* VATEhC^tF[X`l1 */
#define INT_SSII2       212         /* VATEhC^tF[X`l2 */
#define INT_SSIRTI2     213         /* VATEhC^tF[X`l2 */
#define INT_SSII3       214         /* VATEhC^tF[X`l3 */
#define INT_SSIRTI3     215         /* VATEhC^tF[X`l3 */
#define INT_SPDIFI      216         /* MTU5 RyA}b`/CvbgLv`W */
#define INT_STPI0       217         /* I2C oXC^tF[X3`l0 ~o */
#define INT_NAKI0       218         /* I2C oXC^tF[X3`l0 NACK o */
#define INT_IRXI0       219         /* I2C oXC^tF[X3`l0 Mf[^t */
#define INT_ITXI0       220         /* I2C oXC^tF[X3`l0 Mf[^GveB */
#define INT_ITEI0       221         /* I2C oXC^tF[X3`l0 MI */
#define INT_STPI1       222         /* I2C oXC^tF[X3`l1 ~o */
#define INT_NAKI1       223         /* I2C oXC^tF[X3`l1 NACK o */
#define INT_IRXI1       224         /* I2C oXC^tF[X3`l1 Mf[^t */
#define INT_ITXI1       225         /* I2C oXC^tF[X3`l1 Mf[^GveB */
#define INT_ITEI1       226         /* I2C oXC^tF[X3`l1 MI */
#define INT_STPI2       227         /* I2C oXC^tF[X3`l2 ~o */
#define INT_NAKI2       228         /* I2C oXC^tF[X3`l2 NACK o */
#define INT_IRXI2       229         /* I2C oXC^tF[X3`l2 Mf[^t */
#define INT_ITXI2       230         /* I2C oXC^tF[X3`l2 Mf[^GveB */
#define INT_ITEI2       231         /* I2C oXC^tF[X3`l2 MI */
#define INT_BRI0        232         /* SCIF3`l0 u[N,I[o[ */
#define INT_ERI0        233         /* SCIF3`l0 MG[ */
#define INT_RXI0        234         /* SCIF3`l0 MFIFOf[^t,f[^fB */
#define INT_TXI0        235         /* SCIF3`l0 MFIFOf[^GveB */
#define INT_BRI1        236         /* SCIF3`l1 u[N,I[o[ */
#define INT_ERI1        237         /* SCIF3`l1 MG[ */
#define INT_RXI1        238         /* SCIF3`l1 MFIFOf[^t,f[^fB */
#define INT_TXI1        239         /* SCIF3`l1 MFIFOf[^GveB */
#define INT_BRI2        240         /* SCIF3`l2 u[N,I[o[ */
#define INT_ERI2        241         /* SCIF3`l2 MG[ */
#define INT_RXI2        242         /* SCIF3`l2 MFIFOf[^t,f[^fB */
#define INT_TXI2        243         /* SCIF3`l2 MFIFOf[^GveB */
#define INT_BRI3        244         /* SCIF3`l3 u[N,I[o[ */
#define INT_ERI3        245         /* SCIF3`l3 MG[ */
#define INT_RXI3        246         /* SCIF3`l3 MFIFOf[^t,f[^fB */
#define INT_TXI3        247         /* SCIF3`l3 MFIFOf[^GveB */
#define INT_BRI4        248         /* SCIF3`l4 u[N,I[o[ */
#define INT_ERI4        249         /* SCIF3`l4 MG[ */
#define INT_RXI4        250         /* SCIF3`l4 MFIFOf[^t,f[^fB */
#define INT_TXI4        251         /* SCIF3`l4 MFIFOf[^GveB */
#define INT_BRI5        252         /* SCIF3`l5 u[N,I[o[ */
#define INT_ERI5        253         /* SCIF3`l5 MG[ */
#define INT_RXI5        254         /* SCIF3`l5 MFIFOf[^t,f[^fB */
#define INT_TXI5        255         /* SCIF3`l5 MFIFOf[^GveB */
#define INT_BRI6        256         /* SCIF3`l6 u[N,I[o[ */
#define INT_ERI6        257         /* SCIF3`l6 MG[ */
#define INT_RXI6        258         /* SCIF3`l6 MFIFOf[^t,f[^fB */
#define INT_TXI6        259         /* SCIF3`l6 MFIFOf[^GveB */
#define INT_BRI7        260         /* SCIF3`l7 u[N,I[o[ */
#define INT_ERI7        261         /* SCIF3`l7 MG[ */
#define INT_RXI7        262         /* SCIF3`l7 MFIFOf[^t,f[^fB */
#define INT_TXI7        263         /* SCIF3`l7 MFIFOf[^GveB */
#define INT_SIOFI       264         /* SIOF */
#define INT_SPEI0       265         /* SPI`l0 [htHg/I[o */
#define INT_SPRI0       266         /* SPI`l0 Mobt@t */
#define INT_SPTI0       267         /* SPI`l0 Mobt@GveB */
#define INT_SPEI1       268         /* SPI`l1 [htHg/I[o */
#define INT_SPRI1       269         /* SPI`l1 Mobt@t */
#define INT_SPTI1       270         /* SPI`l1 Mobt@GveB */
#define INT_ERS0        271         /* RCAN`l0 G[pbVu/oXIt */
#define INT_OVR0        272         /* RCAN`l0 Zbg^zg^CAN X[vJ */
#define INT_RM00        273         /* RCAN`l0 f[^t[M */
#define INT_RM10        274         /* RCAN`l0 [gt[M */
#define INT_SLE0        275         /* RCAN`l0 bZ[W̑M^M */
#define INT_ERS1        276         /* RCAN`l1 G[pbVu/oXIt */
#define INT_OVR1        277         /* RCAN`l1 Zbg^zg^CAN X[vJ */
#define INT_RM01        278         /* RCAN`l1 f[^t[M */
#define INT_RM11        279         /* RCAN`l1 [gt[M */
#define INT_SLE1        280         /* RCAN`l1 bZ[W̑M^M */
#define INT_IEB         281         /* IEBus MJn^MI */
#define INT_ISY         282         /* CDROM CD-ROMR[hُ^C~O */
#define INT_IERR        283         /* CDROM ECCs\ */
#define INT_ITARG       284         /* CDROM CD-ROM̃ANZXZN^ڕWZN^炸ꂽƂ */
#define INT_ISEC        285         /* CDROM ZN^؂ւƂ */
#define INT_IBUF        286         /* CDROM obt@ւ̃f[^]󋵂ɕωƂ */
#define INT_IREADY      287         /* CDROM CD-ROM̃obt@ւ̃f[^]v */
#define INT_FLSTEI      288         /* FLCTL G[ 荞 */
#define INT_FLTENDI     289         /* FLCTL ]I 荞 */
#define INT_FLTREQ0I    290         /* FLCTL FIFO0]v 荞 */
#define INT_FLTREQ1I    291         /* FLCTL FIFO1]v 荞 */
#define INT_SDHI3       292         /* SD */
#define INT_SDHI0       293         /* SD */
#define INT_SDHI1       294         /* SD */
#define INT_ARM         296         /* RTC A[ */
#define INT_PRD         297         /* RTC  */
#define INT_CUP         298         /* RTC グ */
#define INT_OVF0        299         /* SRC`l0 o̓f[^FIFO I[oCg */
#define INT_UDF0        300         /* SRC`l0 o̓f[^FIFO A_t[ */
#define INT_CEF0        301         /* SRC`l0 ϊI */
#define INT_ODFI0       302         /* SRC`l0 o̓f[^FIFO t */
#define INT_IDEI0       303         /* SRC`l0 ̓f[^FIFO GveB */
#define INT_OVF1        304         /* SRC`l1 o̓f[^FIFO I[oCg */
#define INT_UDF1        305         /* SRC`l1 o̓f[^FIFO A_t[ */
#define INT_CEF1        306         /* SRC`l1 ϊI */
#define INT_ODFI1       307         /* SRC`l1 o̓f[^FIFO t */
#define INT_IDEI1       308         /* SRC`l1 ̓f[^FIFO GveB */
#define INT_DCUEI       310         /* DCU */
#define INT_OFFI        311         /* DCU */
#define INT_IFEI        312         /* DCU */

#ifdef __cplusplus
}
#endif
#endif /* _SH7262_H_ */
